var websocket;
var isConnected = false;
var stopWS;

/********** is WebSockets alive **********/
$(document).ready(function () {        
    setInterval(openWebSocket, 5000);
});
 
function openWebSocket() {
  if (stopWS) return;  // user stopped the connection 
  websocket.send(" ");
  if (websocket == null || websocket.readyState == undefined || websocket.readyState != 1) {
    init();
  }
}

/********** WEBSOCKET **********/
function init() {
  var wsUri = 'ws://' + networkSTA + ':' + socketPort + '/';
  websocket = new WebSocket(wsUri, [wsProtocol]);
  websocket.onopen = function(evt) { onOpen(evt) }; 
  websocket.onclose = function(evt) { onClose(evt) }; 
  websocket.onmessage = function(evt) { onMessage(evt) }; 
  websocket.onerror = function(evt) { onError(evt) }; 
}   

function onOpen(e) {
  isConnected = true;
  disCon();
}

function onClose(e) {
  isConnected = false;
  disCon();
}

function onMessage(e) {
  var msg = e.data.replace('\0', '');
  commandMsg(msg);
}

function onError(e) {
  var msg = e.type.replace('\0', '');
  errorMsg(msg);
}

function publish(msg) {
  websocket.send(msg);
}
